ossl_bio.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Functions

BIO * | ossl_obj2bio (VALUE obj)
BIO * | ossl_protect_obj2bio (VALUE obj, int *status)
VALUE | ossl_membio2str0 (BIO *bio)
VALUE | ossl_protect_membio2str (BIO *bio, int *status)
VALUE | ossl_membio2str (BIO *bio)

## Function Documentation

VALUE ossl_membio2str | ( | BIO * | bio | ) |

Definition at line 77 of file ossl_bio.c.

References ossl_protect_membio2str(), and rb_jump_tag().

Referenced by decode_obj(), ossl_dh_export(), ossl_dh_to_text(), ossl_dsa_export(), ossl_dsa_to_text(), ossl_pkcs7_decrypt(), ossl_pkcs7_s_read_smime(), ossl_pkcs7_s_write_smime(), ossl_pkcs7_to_pem(), ossl_pkcs7_verify(), ossl_rsa_export(), ossl_rsa_to_text(), ossl_x509_get_signature_algorithm(), ossl_x509_to_pem(), ossl_x509_to_text(), ossl_x509attr_get_oid(), ossl_x509ext_get_oid(), ossl_x509ext_get_value(), and ossl_x509name_to_s().

VALUE ossl_membio2str0 | ( | BIO * | bio | ) |

Definition at line 59 of file ossl_bio.c.

References buf, and rb_str_new().

Referenced by ossl_protect_membio2str().

BIO* ossl_obj2bio | ( | VALUE | obj | ) |

Definition at line 17 of file ossl_bio.c.

References eOSSLError, FPTR_TO_FD, GetOpenFile, NULL, ossl_raise(), rb_io_check_readable(), rb_sys_fail(), rb_update_max_fd(), RSTRING_LENINT, RSTRING_PTR, StringValue, T_FILE, and TYPE.

Referenced by GetConfigPtr(), ossl_dh_initialize(), ossl_dsa_initialize(), ossl_pkcs12_initialize(), ossl_pkcs7_add_data(), ossl_pkcs7_initialize(), ossl_pkcs7_s_encrypt(), ossl_pkcs7_s_read_smime(), ossl_pkcs7_s_sign(), ossl_pkcs7_s_write_smime(), ossl_pkcs7_verify(), ossl_pkey_new_from_data(), ossl_protect_obj2bio(), ossl_rsa_initialize(), ossl_ssl_session_initialize(), ossl_x509_initialize(), ossl_x509crl_initialize(), and ossl_x509req_initialize().

VALUE ossl_protect_membio2str | ( | BIO * | bio,
|  | int * | status
| ) |  |

Definition at line 71 of file ossl_bio.c.

References _, ossl_membio2str0(), and rb_protect().

Referenced by ossl_membio2str().

BIO* ossl_protect_obj2bio | ( | VALUE | obj,
|  | int * | status
| ) |  |

Definition at line 51 of file ossl_bio.c.

References _, NULL, ossl_obj2bio(), and rb_protect().